import { request } from '../utils/request'

export function login(data:any) {
  return request({
    url: '/commonLogin/login',
    method: 'POST',
    data
  })
}

export function sendSms(data:any) {
  return request({
    url: '/consumer/codeSend',
    method: 'POST',
    data
  })
}

export function userInfo(data:any) {
  return request({
    url: '/consumer',
    method: 'GET',
    data
  })
}

export function wxLogin(data:any) {
  return request({
    url: '/consumer/commonLogin/wechat/login',
    method: 'POST',
    data
  })
}

export function realNameAuthentication(data:any) {
  return request({
    url: '/consumer/auth/realNameAuthentication',
    method: 'POST',
    data
  })
}

export function realNameAuthenticationResultCheck() {
  return request({
    url: '/consumer/auth/realNameAuthenticationResultCheck',
    method: 'GET'
  })
}